# set the include path for X, qt and KDE
INCLUDES = -I$(srcdir)/misc \
	   -I$(srcdir)/ui -I./ui \
	   -I$(srcdir)/widgets \
	   -I$(srcdir)/widgets/browser \
	   -I$(srcdir)/widgets/filtereditor \
	   -I$(srcdir)/widgets/queueview \
	   -I$(top_builddir) \
	   -I$(top_builddir)/kftpgrabber/src \
	   $(all_includes)

# these are the headers for your project
noinst_HEADERS = checksumverifier.h kftpbookmarks.h 					kftpqueue.h \
		kftpbookmarks.h mainwindow.h kftpqueue.h mainactions.h 					kftpbookmarkaction.h \
		kftpqueueprocessor.h kftpsession.h kftpqueueconverter.h kftptransfer.h \
							kftptransferfile.h kftptransferdir.h kftpfileexistsactions.h \
					statistics.h site.h queueobject.h queuegroup.h \
	directoryscanner.h

# let automoc handle all of the meta source files (moc)
METASOURCES = AUTO

KDE_ICON = kftpgrabber

#########################################################################
# APPLICATION SECTION
#########################################################################
# this is the program that gets installed.  it's name is used for all
# of the other Makefile.am variables
bin_PROGRAMS = kftpgrabber

# the application source, library search path, and link libraries
kftpgrabber_SOURCES = main.cpp mainwindow.cpp checksumverifier.cpp \
							kftpbookmarks.cpp kftpqueue.cpp mainactions.cpp 					kftpbookmarkaction.cpp \
		kftpqueueprocessor.cpp kftpsession.cpp kftpqueueconverter.cpp 					kftptransfer.cpp \
		kftptransferfile.cpp kftptransferdir.cpp \
							kftpfileexistsactions.cpp statistics.cpp site.cpp queueobject.cpp \
			queuegroup.cpp directoryscanner.cpp
kftpgrabber_LDFLAGS = $(KDE_RPATH) $(all_libraries)
kftpgrabber_LDADD = \
	widgets/bookmarks/libbookmarkwidgets.a \
	widgets/browser/libbrowser.a \
	widgets/queueview/libqueueviewwidget.a \
	widgets/libwidgets.a \
	engine/libengine.a \
	misc/libkftpgrabbercore.a \
	misc/customcommands/libcustomcommands.a \
	ui/libui.a \
	misc/interfaces/libkftpinterfaces.la \
	misc/libs/ssh/libssh.a \
	$(LIB_TDEDNSSD) -ltdewalletclient $(LIBSSL) $(LIB_TDEPARTS) \
	$(LIB_TDEIO) $(LIB_TDEUI) $(LIB_TDECORE) $(LIB_QT) -lz

# this is where the desktop file will go 
xdg_apps_DATA = kftpgrabber.desktop

# this is where the shell's XML-GUI resource file goes
shellrcdir = $(kde_datadir)/kftpgrabber
shellrc_DATA = kftpgrabberui.rc kftpgrabber-logo.png kftpgrabber-bi-wizard.png

SUBDIRS = misc engine ui widgets 
